<?PHP if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**-------------------------------------------------------------------------
 *
 *	Mauth Profile ***TEMPLATE***
 *	
 *  This is a sample controller for a user profile.  You should can easily
 *  extend the user capabilities here.  
 *
 * @file:  		./application/controllers/profile.php
 * @version:	0.9.2
 * @modified:	March 16, 2010
 * @author:		Pat Andrew	(http://patandrew.com/)
 * @link:		http://mauth.missionsix.net/
 *
 *-------------------------------------------------------------------------*/

class profile extends Mauth_Controller {

	
	public function __construct() {
		
		parent::__construct();
		
	}
	
	
	public function index() {
		
	
		$this->navigation->eat();
		
		$this->template->write('content',"blah");
		
		$this->display();
	
	}
	
	
	public function view() {
	
		$username = $this->uri->rsegment(3);
		
		// remove the breadcrumbs,  they aren't needed.
		$this->navigation->eat();
		$this->navigation->crumb('Home', '');
		$this->navigation->crumb($username .'\'s Profile', $this->uri->uri_string());
		
		$this->template->write('content', "<h1>$username</h1>");
		
		$this->display();
	}
	
	/** 
	 *
	 *	Settings
	 *	profile settings,  used for settings like privacy, username change, ect...
	 *
	 */
	 
	public function settings() {
		
		$this->navigation->chew('profile');
		
		$this->template->write('content', '<h1>Profile Settings.</h1>');
		
		$this->display();
	}
}

/*	end of file:	profile.php
	file location:	./application/controllers/profile.php	*/
