
<script type="text/javascript">
	function toggle_form(id) {
		
		handle = document.getElementById(id);
		if(handle.style.display == 'none') {
			handle.style.display = 'block';
		} else {
			handle.style.display = 'none';
		}
		return false;
	}
</script>

<h2>Roles</h2>
<p><button name="addpermission" onclick="javascript:return toggle_form('add_role');">Add Role</button></p>
<?php if($role_added): ?>
	<p class="success">Role Added.</p>
<?php endif; ?>

<div id="add_role" class="form"  style="<?php echo (empty($this->form_validation->error_string) ? 'display:none;' : ''); ?>">
	<?php print form_open($this->uri->uri_string); ?>
 	<fieldset style="width:600px; margin:10px auto 30px auto; ">
	<h3>Add a Role</h3>
		<p><label for="name">Role Name <br /><?php echo form_error('name'); ?></label><input  type="text" name="name" value="<?php echo set_value('name'); ?>" /></p>
		<p><label for="parentid">Inherit Role</label> 
			<select name="parentid" id="parentid"><option value="0">none</option>
			<?php 
			foreach($roles as $roleid => $role): 
				print "<option value=\"$roleid\">$role[name]</option>";
			endforeach;
			?>
			</select></p>
		<p class="right"><button type="submit">Add Role Permission</button>
		<button type="reset">Clear</button>
		<button onclick="javascript:return toggle_form('add_role');" title="Close this form">X</button></p>

	</fieldset>
	<?php print form_close(); ?>
</div>



<h3>URI Permissions</h3>
<table>
	<thead>
		<tr><th class="stat">Roleid</th><th>Role Name</th><th class="short">Parent?</th><th>Controls</th></tr>
	</thead>
	<tbody>
		<?php 
		foreach($roles as $role): 
		
			print '<tr>';		
			print '<td class="stat">'. $role['roleid'] .'</td>';
			print '<td><strong>'. $role['name'] .'</strong></td>';
			print '<td class="short">'. $role['parentid'] .'</td>';
			print "<td>". anchor('users/editrole/'. $role['roleid'], 'edit') . ' ' . anchor('users/deleterole/'. $role['roleid'],'delete') .'</td>';	
			print '</tr>';
		endforeach; ?>
	</tbody>
</table>
