<?php echo doctype('xhtml11'); ?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<?php
// metadata can be stored in an array in $this->data['metadata']
   	echo meta($metadata);

// these two vars are from Template.  For usage:
//      http://mauth.missionsix.net/user_guide/libraries/template
   	echo $_scripts;
   	echo $_styles;

?>
<title><?php echo $pagetitle; ?></title>

<style type="text/css">
body {
 background-color: #fff;
 margin: 3em;
 font-family: Lucida Grande, Verdana, Sans-serif;
 font-size: 14px;
 color: #4F5155;
}

a {
 color: #003399;
 background-color: transparent;
 font-weight: normal;
}

h1 {
 color: #444;
 background-color: transparent;
 border-bottom: 1px solid #D0D0D0;
 font-size: 16px;
 font-weight: bold;
 margin: 1em 0 .3em;
 padding: .5em;
}
h1 a {
    color:red; 
    font-size:2em;
    font-weight:bold; 
}

code {
 font-family: Monaco, Verdana, Sans-serif;
 font-size: 1em;
 background-color: #f9f9f9;
 border: 1px solid #D0D0D0;
 color: #002166;
 display: block;
 margin: 1em 0;
 padding: 1em;
}

#wrap {
    position:relative;
}
#userbox {
    position:   absolute;
    top:1em;
    right:1em;
}
#userbox ul, #userbox li { 
    list-style:none; 
    margin:0; 
    padding:0;
}
#userbox ul li { 
    display:inline; 
    padding:1em .5em;
}
#navigation { margin:1em; }

#footer {
    border-top:1px dotted #D0D0D0;
    margin:5em 0em 1em;
    clear:both;
    font-size:.85em;
}  
#links ul {
    border:1px solid #efefef;
    padding:1px;
    margin:2em 0;
    font-size:1.1em;
    height:2.3em;
}
#links ul:after {
    content:'.';
    color:#fff;
    clear:both;
}
#links ul, #links li {
    list-style:none;
}
#links li { display:inline; }
#links li a { display:block;
    float:left;
    padding:.5em 1em;
    border:1px solid #fff;
    color:#666;
    background:#efefef;
    text-decoration:none;
}
#links li a:hover {
    background:#ccc;
    color:#000;
}
#page
{
    margin:2em;
}
.error { font-weight:bold; font-size:.9em; color:red; }
</style>
</head>
<body>
	<div id="wrap">
<?php 
		// header includes H1 (logo)
		echo $header; 
		
		// navigation 
		echo $navigation; 
		
		// Site Content
    	echo $content;  
    	
    	// footer information, site links 
    	echo $footer; 
    	
    	// USER information,  this is positioned at the TOP of the page via CSS.
   		echo $userbox; 
?>
	</div>
</body>
</html>	
