<div class="page">
<?php 
	echo form_open($this->uri->uri_string, array('class' => 'form'));
	echo '<h3>Edit Role Details</h3>';
	echo '<p>'. form_label('Role Name','role_name'). 
				form_input(array('name'=>'role_name', 'value' => set_value('role_name', $role['name']), 'id' => 'role_name')) .'</p>';
				
	echo '<p>'. form_label('Parent Role','parent'). 
				form_dropdown('parent', $roles, $role['parentid']) .'</p>';
				
	echo form_fieldset('Role Permissions');
	
	print '<table class="table"><thead><tr><th>Name</th><th>Description</th><th class="short">Ignore/Inherit</th><th class="short">Approve</th><th class="short">Deny</th></tr></thead><tbody>';
		foreach($permissions as $key => $perm):
			
			$rolekey = -1; // set to an impossible role index.
			
			$role_check = $perm['rolevalues'];
			foreach($perm['roleids'] as $key => $roleid) {
				if($roleid == $role['roleid']) {
					$rolekey = $key;
					break;
                }
			}
		
			echo '<tr id="'. $perm['permid'] .'"><td>'. $perm['title'] .'</td>
					<td>'. (substr($perm['description'],0,7) == '[[dnd]]' ? substr($perm['description'], 7) : $perm['description']) .'</td><td class="short">'. 
						form_radio(array(
										'name'        => "permissions[{$perm['permid']}]",
										'id'          => 'perm_'. $perm['title'],
										'value'       => '2',
										'checked'     => ($rolekey < 0 ? TRUE :  FALSE)
										)) . '</td><td class="short">'. 
						form_radio(array(
										'name'        => "permissions[{$perm['permid']}]",
										'id'          => 'perm_'. $perm['title'],
										'value'       => '1',
										'checked'     => ( ($rolekey >= 0 && $role_check[$rolekey] == 1) ? TRUE : FALSE)
										))  .'</td><td class="short">'. 
						form_radio(array(
										'name'        => "permissions[{$perm['permid']}]",
										'id'          => 'perm_'. $perm['title'],
										'value'       => '0',
										'checked'     => (( $rolekey >= 0 && $role_check["$rolekey"] == 0) ? TRUE : FALSE)
										)) .'</td></tr>';
		endforeach;
	print '</tbody></table>';
	echo form_fieldset_close();
	echo form_close(); 
?></div>
