<script type="text/javascript">
	function toggle_form(id) {
		
		handle = document.getElementById(id);
		if(handle.style.display == 'none') {
			handle.style.display = 'block';
		} else {
			handle.style.display = 'none';
		}
		return false;
	}
</script>

<h2>Permissions Editor</h2>

<p><button name="addpermission" onclick="javascript:return toggle_form('add_permission');">Add New Permission</button></p>

<div id="add_permission" class="form" style="<?php echo (empty($this->form_validation->error_string) ? 'display:none;' : ''); ?>">
  <fieldset style="width:600px; margin:10px auto 30px auto; ">
	<h3>Add Role Permissions</h3>
	<?php print form_open($this->uri->uri_string); ?>
	
	<p>Please select which roles have access to this permission. Ignoring roles allows them to inherit its parents permission value.</p>	

	<fieldset style="margin-left:10px;">
		<legend title="Select which roles this permission applies to.">Grant for Roles:</legend>
		
		<table class="form">
			<thead>
				<th>Role</th><th class="short">Ignore</th><th class="short">Grant</th><th class="short">Deny</th>
			</thead>
<?php
// Loop through all roles for the permission and build the table cell.
foreach($roles as $role):
			/* form_checkbox(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]]",
									'class' => 'nofloat',
									'value' => '1', 
									'checked' => FALSE
									)); */
									
    		print  "<td><label for=\"roles[$role[roleid]]\" class='nofloat'>$role[name]</label></td>";

			if($role['parentid'] > 0)
            {
				print '<td class="short">';			
					print form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]]",
									'class' => 'nofloat',
									'value' => '2', 
									'checked' => FALSE
									));
			} else {
				print '<td>&nbsp;</td>';
			}
				print '</td><td class="short">';
					print form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]]",
									'class' => 'nofloat',
									'value' => '1', 
									'checked' => FALSE
				
										));
				print '</td><td class="short">';
					print form_radio(array(
									'name' => "roles[$role[roleid]]", 
									'id' => "roles[$role[roleid]]",
									'class' => 'nofloat',
									'value' => '0', 
									'checked' => TRUE
									));

									
				print '</td>';				
				print '</tr>';
endforeach;
?>
</table>
</fieldset>
	
	<p><label for="name">Name:<br /><?php echo form_error('name'); ?></label> <input type="text" name="name" value="<?php echo set_value('name'); ?>" /></p>
	
	<p><label for="uri" title="Optional, Use this if you want restrict access to a uri page.  
	ex:  roles/permissions">Related URI: <span>(optional)</span> <br /><?php echo form_error('uri'); ?></label> <input type="text" name="uri" value="<?php echo set_value('uri'); ?>" /></p>
	
	<p><label for="description">Description: <span>(optional)</span><br /><?php echo form_error('description'); ?></label><textarea name="description"><?php echo set_value('description'); ?></textarea></p>
	
	<p class="right"><button type="submit">Add Role Permission</button>
		<button type="reset">Clear</button>
		<button onclick="javascript:return toggle_form('add_permission');" title="Close this form">X</button></p>
</fieldset>
</div>

<h4>Permissions</h4>
<table class="table">
	<thead>
		<tr><th class="stat">Perm ID</th><th>Name</th><th>Description</th><th>Roles</th><th class="short">Controls</th></tr>
	</thead>
	<?php foreach($permissions as $key => $perm): ?>
		<tr>
			<?php 
				print "<td class=\"stat\">$perm[permid]</td><td>$perm[title]</td>";
				print "<td>". (substr($perm['description'],0,7) == '[[dnd]]' ? substr($perm['description'], 7) : $perm['description']) ."</td>";
				print 	"<td>";
				
				$role_check =  $perm['rolevalues'];
				
				foreach($perm['roleids'] as $key => $roleid): 
						if($role_check[$key] == 1):
							print form_checkbox(array(	
											'id'		=>	'perm['. $perm['permid'] .']['. $roleid .']',
											'name'		=>	'perm['. $perm['permid'] .']['. $roleid .']',
											'value'		=>	'1',
											'disabled'	=> 'disabled',
											'checked'	=> ($role_check[$key] == 1 ? TRUE : FALSE)
											)
										);
							print  ' <label for="perm['.$perm['permid'].']['.$roleid .']" class="nofloat">'. $perm['rolenames'][$key] .'</label> ';	
						endif;
				endforeach;
				print "</td>";
				
				print "<td class='short'>". anchor('users/editpermission/'. $perm['permid'], 'edit');
				
				if(substr($perm['description'], 0, 7) != '[[dnd]]'):
					print  anchor('users/deletepermission/'. $perm['permid'],'delete') .'</td>';
				endif;
			?>
		</tr>
	<?php endforeach; ?>
</table>
